package io.gitlab.jfronny.googlechat;

import io.gitlab.jfronny.libjf.translate.api.TranslateService;
import net.minecraft.client.MinecraftClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.UUID;

public class GoogleChat {
    public static final String MOD_ID = "google-chat";
    public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);
    public static final TranslateService<?> TRANSLATE_SERVICE = TranslateService.getConfigured();

    public static boolean isSelf(UUID sender) {
        MinecraftClient mc = MinecraftClient.getInstance();
        return mc == null || mc.player == null || sender.equals(mc.player.getUuid());
    }
}
